<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.alarm.mapper.BaseAlarmNoticeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.alarm.domain.BaseAlarmNotice">
        <id column="id" property="id" />
        <result column="product_code" property="productCode" />
        <result column="type_code" property="typeCode" />
        <result column="receiver1" property="receiver1" />
        <result column="receiver2" property="receiver2" />
        <result column="receiver3" property="receiver3" />
        <result column="time_out1" property="timeOut1" />
        <result column="time_out2" property="timeOut2" />
        <result column="notice_method" property="noticeMethod" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="delete_flag" property="deleteFlag" />
        <result column="dept_id" property="deptId" />
        <result column="tenant_id" property="tenantId" />
    </resultMap>

</mapper>
